Status: Closed Start date: 03/22/2016
Priority: High Due date:

Assignee: Roger Tokarek % Done: 100%
Category: Engineering Estimated time: 24.00 hours
Target version: Spent time: 0.00 hour
Description

Engineering request to crete Acnet accessors to get and set the gate width for calibration purposes.

History

#1 - 03/22/2016 12:42 PM - Roger Tokarek

Created gateWidthGet() and gateWidthSet(clockCycles) in VMEInt. Acnet accessors are in class CurrenAccessor.

#2 - 03/22/2016 04:02 PM - Roger Tokarek

Modified Implementation Plan.

Considering adding a control/status block to each device. The control block will set enable and disable gate width calibration mode and it will set the
gate width in Engineering units. The status block will indicate mode.

#3 - 03/25/2016 09:28 AM - Roger Tokarek
- % Done changed from 80 to 30
- Estimated time changed from 5.00 h to 24.00 h

Current Status

Provided command line "gate width calibration mode" commands in VMEInt. See Operations Manual/Gate Width Calibration mode at Gate Width
Calibration Mode. Commands are:

e gwcenable adc, chan, clock cycles
¢ gwcdisable adc, chan

Next Steps

e Provide "set all", "status all", and "clear all" functionality.

e Provide control/status block described above.

¢ Provide a helpme command that points to Redmine Wiki.

e Update documentation for Operations Manual and S/W Design and implementation.

#4 - 08/03/2016 10:51 AM - Roger Tokarek
- Status changed from New to Closed

- % Done changed from 30 to 100
https://cdcvs.fnal.gov/redmine/projects/vmeint/wiki/Gate_Width_Calibration_Mode
https://cdcvs.fnal.gov/redmine/projects/vmeint/wiki/Gate_Width_Calibration_Mode
http://www.tcpdf.org

